tigase.eventbus.impl

## Class ObjectEventsListenerHandler

- java.lang.Object
- - tigase.eventbus.impl.AbstractHandler
  - - tigase.eventbus.impl.AbstractListenerHandler<EventListener>
    - - tigase.eventbus.impl.ObjectEventsListenerHandler

-     public class ObjectEventsListenerHandler
      extends AbstractListenerHandler<EventListener>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.eventbus.impl.AbstractHandler

      `AbstractHandler.Type`

  - ### Field Summary

    - ### Fields inherited from class tigase.eventbus.impl.AbstractListenerHandler

      `listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectEventsListenerHandler(String packageName, String eventName, EventListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(Object event, Object source, boolean remotelyGeneratedEvent)`
    `AbstractHandler.Type` | `getRequiredEventType()`

    - ### Methods inherited from class tigase.eventbus.impl.AbstractListenerHandler

      `equals, getListener, hashCode`

    - ### Methods inherited from class tigase.eventbus.impl.AbstractHandler

      `getEventName, getPackageName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectEventsListenerHandler

          public ObjectEventsListenerHandler(String packageName,
                                             String eventName,
                                             EventListener listener)

  - ### Method Detail

    - #### dispatch

          public void dispatch(Object event,
                               Object source,
                               boolean remotelyGeneratedEvent)

      Specified by:
        `dispatch` in class `AbstractHandler`

    - #### getRequiredEventType

          public AbstractHandler.Type getRequiredEventType()

      Specified by:
        `getRequiredEventType` in class `AbstractHandler`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.